Skip to main content
GET
/
organisations
/
{organisationId}
/
boards
/
{boardId}
/
actors
/
{actorId}
/
code
/
logs
cURL
curl --request GET \
  --url https://platform.versori.com/api/switchboard/v1alpha1/organisations/{organisationId}/boards/{boardId}/actors/{actorId}/code/logs \
  --header 'Authorization: <api-key>'
{
  "totalCount": 123,
  "startTime": "2023-11-07T05:31:56Z",
  "endTime": "2023-11-07T05:31:56Z",
  "items": [
    {
      "severity": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "summary": "<string>",
      "payload": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organisationId
string
required
boardId
string
required
actorId
string
required

Query Parameters

dateFrom
string<date-time>
dateTo
string<date-time>

Response

A list of execution logs for a code action

totalCount
integer
required
startTime
string<date-time>
endTime
string<date-time>
items
object[]

List of execution logs for a single board.